<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
            rel="stylesheet"
            href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
            integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
            crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
        .password-form {
            display: flex;
            flex-direction: column;
        }
        .input-wrapper {
            position: relative;
            width: 200px;

        }

        .input-wrapper input {
            min-width: 120px;
            padding: 10px;
            margin-bottom: 24px;
        }

        .input-wrapper i {
            position: absolute;
            right: 25px;
            top: 30px;
            color: grey;
        }

        .btn{
            width: 150px;
        }

    </style>
</head>
<body>
<!DOCTYPE html>
<html>
<body>



<b><p>Click on the checkbox to show

    or hide password: </p></b>



<b>Password</b>: <input type="password"

                        value="geeksforgeeks" id="typepass">



<input type="checkbox" onclick="Toggle()">

<b>Show Password</b>



<script>

    // Изменить тип ввода на пароль или текст

    function Toggle() {

        var temp = document.getElementById("typepass");

        if (temp.type === "password") {

            temp.type = "text";

        }

        else {

            temp.type = "password";

        }

    }

</script>
</body>
</html>

<script src="js/script.js"></script>

</body>
</html>
